## owncloud 6.0.1+dfsg

=== Makefile ===

# This file should be configured before running `make'.
# Uncomment or change the values that are relevant for your OS.

# The preferred C compiler (by default use the OS-specific default value).
# For BSD/OS, FreeBSD, Linux (all flavors), NetBSD, OpenBSD the default
# compiler is GNU C. 
# (Note please the politically correct ordering by alphabet ! :-)
#
# Use GNU C even if it's not the default compiler
#
#CC=gcc
#
# Use the standard ANSI C compiler on HP-UX even if it's not default
#
#CC=c89

#
# The system-dependent flags for the C compiler
#
# Default

CFLAGS_SYS= -O

# For GNU C
#
#CFLAGS_SYS= -O2
#
# For GNU C with long options support library (Linux etc.)
#
#CFLAGS_SYS= -O2 -D_GNU_SOURCE
#
# For GNU C on HP-UX/PA-RISC 1.1
#
#CFLAGS_SYS= -O2 -Wa,-w
#
# For the standard ANSI C on HP-UX
#
#CFLAGS_SYS= +O2 -D_HPUX_SOURCE

#
# The system-dependent libraries
#
# Defalut (for the BSD-style OSes)

LIBS_SYS= -lm

# For SystemV (such as SCO, UnixWare, Solaris, but _NOT_ Linux or HP-UX)
#
#LIBS_SYS= -lm -lsocket

#
# The flags for C compiler for the FreeType-2 library (disabled by default). 
# This WON'T BUILD with FT2-beta8, use the FreeType release 2.0.4
# http://download.sourceforge.net/freetype/freetype-2.0.4.tar.gz

CFLAGS_FT= 

# To enable use of the FreeType-2 library
# (if the include and lib directory do not match your installation,
# modify them), also uncomment LIBS_FT
#
#CFLAGS_FT = -DUSE_FREETYPE -I/usr/local/include/freetype2 -I/usr/local/include

# 
# The FreeType-2 library flags (disabled by default)

LIBS_FT=

# To enable use of the FreeType-2 library
# (if the include and lib directory do not match your installation,
# modify them), also uncomment CFLAGS_FT
#
#LIBS_FT= -L/usr/local/lib -lfreetype

#
# The flags for C compiler for the Autotrace library (disabled by default). 
# USE OF THIS FEATURE IS STRONGLY DISCOURAGED, THE BUILT-IN TRACING
# (AKA VECTORIZATION) PROVIDES MUCH BETTER RESULTS.
# The tested version is 0.29a (and the fonts produced with it are
# absolutely not usable).
# http://download.sourceforge.net/autotrace/autotrace-0.29.tar.gz

CFLAGS_AT= 

# To enable use of the Autotrace library
# (if the include and lib directory do not match your installation,
# modify them), also uncomment LIBS_AT
#
#CFLAGS_AT = -DUSE_AUTOTRACE -I/usr/local/include

# 
# The Autotrace library flags (disabled by default)

LIBS_AT=

# To enable use of the Autotrace library
# (if the include and lib directory do not match your installation,
# modify them), also uncomment CFLAGS_AT
#
#LIBS_AT= -L/usr/local/lib -lautotrace

#
# Preference of front-ends if multiple parsers match a file
# (by default the build-in front-end takes preference over FreeType)

CFLAGS_PREF=

# To prefer FreeType (if enabled):
#
#CFLAGS_PREF= -DPREFER_FREETYPE

# Uncomment the second line to not compile t1asm into ttf2pt1
CFLAGS_EXTT1ASM=
#CFLAGS_EXTT1ASM= -DEXTERNAL_T1ASM

CFLAGS= $(CFLAGS_SYS) $(CFLAGS_FT) $(CFLAGS_AT) $(CFLAGS_PREF)
LIBS= $(LIBS_SYS) $(LIBS_FT) $(LIBS_AT)

# Installation-related stuff
# 
# The base dir for installation and subdirs in it
INSTDIR = /usr/local
# for binaries
BINDIR = $(INSTDIR)/bin
# for binaries of little general interest
LIBXDIR = $(INSTDIR)/libexec/ttf2pt1
# for scripts, maps/encodings etc.
SHAREDIR = $(INSTDIR)/share/ttf2pt1
MANDIR = $(INSTDIR)/man

# owner and group of installed files
OWNER = root
GROUP = bin

# After you have configured the Makefile, comment out the following
# definition:
#warning: docs
#	@echo >&2
#	@echo "  You have to configure the Makefile before running make!" >&2
#	@echo "(or if you are lazy and hope that it will work as is run \`make all')">&2
#	@echo >&2

DOCS=CHANGES README FONTS FONTS.hpux encodings/README other/README \
	app/X11/README app/netscape/README app/TeX/README

SUBDIRS = app encodings maps scripts other
TXTFILES = README* FONTS* CHANGES* COPYRIGHT

MANS1=ttf2pt1.1 ttf2pt1_convert.1 ttf2pt1_x2gs.1
MANS=$(MANS1) $(MANS5)

all:	t1asm ttf2pt1 docs mans rpm

docs: $(DOCS)

mans: $(MANS) 

clean:
	rm -f t1asm ttf2pt1 *.o app/RPM/Makefile app/RPM/*.spec *.core core.* core
	( cd other && make clean; )
	( cd app/netscape && make clean; )

veryclean: clean
	rm -f $(DOCS) $(MANS)

rpm: app/RPM/Makefile app/RPM/ttf2pt1.spec

ttf2pt1.1: README.html
	scripts/html2man . . <README.html

ttf2pt1_convert.1 ttf2pt1_x2gs.1: FONTS.html
	scripts/html2man . . <FONTS.html

app/RPM/Makefile: Makefile
	sed 's/^CFLAGS_SYS.*=.*$$/CFLAGS_SYS= -O2 -D_GNU_SOURCE/;/warning:/,/^$$/s/^/#/' <Makefile >app/RPM/Makefile

app/RPM/ttf2pt1.spec: app/RPM/ttf2pt1.spec.src version.h
	sed 's/^Version:.*/Version: '`grep TTF2PT1_VERSION version.h| cut -d\" -f2`'/' <app/RPM/ttf2pt1.spec.src  >$@

t1asm: t1asm.c
	$(CC) $(CFLAGS) -o t1asm -DSTANDALONE t1asm.c $(LIBS)

ttf2pt1.o: ttf2pt1.c ttf.h pt1.h global.h version.h
	$(CC) $(CFLAGS) -c ttf2pt1.c

pt1.o: pt1.c ttf.h pt1.h global.h
	$(CC) $(CFLAGS) -c pt1.c

ttf.o: ttf.c ttf.h pt1.h global.h
	$(CC) $(CFLAGS) -c ttf.c

ft.o: ft.c pt1.h global.h
	$(CC) $(CFLAGS) -c ft.c

bdf.o: bdf.c pt1.h global.h
	$(CC) $(CFLAGS) -c bdf.c

bitmap.o: bitmap.c pt1.h global.h
	$(CC) $(CFLAGS) -c bitmap.c

runt1asm.o: runt1asm.c global.h
	$(CC) $(CFLAGS) $(CFLAGS_EXTT1ASM) -c runt1asm.c

ttf2pt1:	ttf2pt1.o pt1.o runt1asm.o ttf.o ft.o bdf.o bitmap.o
	$(CC) $(CFLAGS) -o ttf2pt1 ttf2pt1.o pt1.o runt1asm.o ttf.o ft.o bdf.o bitmap.o $(LIBS)

CHANGES: CHANGES.html
	scripts/unhtml <CHANGES.html >CHANGES

README: README.html
	scripts/unhtml <README.html >README

encodings/README: encodings/README.html
	scripts/unhtml <encodings/README.html >encodings/README

other/README: other/README.html
	scripts/unhtml <other/README.html >other/README

app/X11/README: app/X11/README.html
	scripts/unhtml <app/X11/README.html >app/X11/README

app/netscape/README: app/netscape/README.html
	scripts/unhtml <app/netscape/README.html >app/netscape/README

app/TeX/README: app/TeX/README.html
	scripts/unhtml <app/TeX/README.html >app/TeX/README

FONTS: FONTS.html
	scripts/unhtml <FONTS.html >FONTS

FONTS.hpux: FONTS.hpux.html
	scripts/unhtml <FONTS.hpux.html >FONTS.hpux

install: all
	scripts/inst_dir $(BINDIR) $(OWNER) $(GROUP) 0755
	scripts/inst_dir $(LIBXDIR) $(OWNER) $(GROUP) 0755
	scripts/inst_dir $(SHAREDIR) $(OWNER) $(GROUP) 0755
	scripts/inst_dir $(MANDIR)/man1 $(OWNER) $(GROUP) 0755
	scripts/inst_dir $(MANDIR)/man5 $(OWNER) $(GROUP) 0755
	cp -R $(TXTFILES) $(SUBDIRS) $(SHAREDIR)
	chown -R $(OWNER) $(SHAREDIR)
	chgrp -R $(GROUP) $(SHAREDIR)
	chmod -R go-w $(SHAREDIR)
	scripts/inst_file ttf2pt1 $(BINDIR)/ttf2pt1 $(OWNER) $(GROUP) 0755
	[ -f $(BINDIR)/t1asm ] || scripts/inst_file t1asm $(LIBXDIR)/t1asm $(OWNER) $(GROUP) 0755
	sed 's|^TTF2PT1_BINDIR=$$|TTF2PT1_BINDIR=$(BINDIR)|;\
		s|^TTF2PT1_LIBXDIR=$$|TTF2PT1_LIBXDIR=$(LIBXDIR)|;\
		s|^TTF2PT1_SHAREDIR=$$|TTF2PT1_SHAREDIR=$(SHAREDIR)|;' <scripts/convert >cvt.tmp
	scripts/inst_file cvt.tmp $(BINDIR)/ttf2pt1_convert $(OWNER) $(GROUP) 0755
	scripts/inst_file cvt.tmp $(SHAREDIR)/scripts/convert $(OWNER) $(GROUP) 0755
	rm cvt.tmp
	scripts/inst_file scripts/x2gs $(BINDIR)/ttf2pt1_x2gs $(OWNER) $(GROUP) 0755
	for i in $(MANS1); do { \
		sed 's|TTF2PT1_BINDIR|$(BINDIR)|;\
			s|TTF2PT1_LIBXDIR|$(LIBXDIR)|;\
			s|TTF2PT1_SHAREDIR|$(SHAREDIR)|;' <$$i >$(MANDIR)/man1/$$i \
		&& chown $(OWNER) $(MANDIR)/man1/$$i \
		&& chgrp $(GROUP) $(MANDIR)/man1/$$i \
		&& chmod 0644 $(MANDIR)/man1/$$i \
		|| exit 1; \
	} done

uninstall:
	rm -f $(BINDIR)/ttf2pt1 $(BINDIR)/ttf2pt1_convert $(BINDIR)/ttf2pt1_x2gs
	rm -rf $(LIBXDIR)
	rm -rf $(SHAREDIR)
	for i in $(MANS1); do { \
		rm -f $(MANDIR)/man1/$$i $(MANDIR)/man1/$$i.gz; \
	} done
	

# targets for automatic generation of releases and snapshots

snapshot:
	scripts/mkrel snapshot

release:
	scripts/mkrel release

=== apps/contacts/tests/Makefile ===
# ownCloud - Contacts
#
# @author Thomas Tanghus
# @copyright 2013 Thomas Tanghus (thomas@tanghus.net)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU AFFERO GENERAL PUBLIC LICENSE
# License as published by the Free Software Foundation; either
# version 3 of the License, or any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU AFFERO GENERAL PUBLIC LICENSE for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with this library.  If not, see <http://www.gnu.org/licenses/>.

# This makefile is for general project specific stuff like packaging a new 
# release for the app store and running php unittests which require core

app_name=contacts
build_directory=build/
package_name=$(build_directory)$(app_name)

#all:
#	# compile the coffeescript
#	cd js; make


#clean:
#	rm -rf $(build_directory)


#dist: clean
#	mkdir -p $(build_directory)
#	git archive HEAD --format=zip --prefix=$(app_name)/ > $(package_name).zip


# tests
test: javascript-tests unit-tests integration-tests acceptance-tests

unit-tests:
	ls
	phpunit --version
	phpunit --verbose contacts

#tests/vobject.php


integration-tests:
	phpunit tests/integration


acceptance-tests:
	cd tests/acceptance; make headless


javascript-tests:
	cd js; make test

=== debian/changelog ===
owncloud (6.0.1+dfsg-1ubuntu1) trusty; urgency=medium

  * Alternatively depend on zend-framework (see Debian bug #688033 and
    LP bug #1052423).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 26 Jan 2014 01:03:31 +0100

owncloud (6.0.1+dfsg-1) unstable; urgency=low

  [ Frank Karlitschek ]
  * 6.0.1

  [ David Prévot ]
  * Drop allegedly sourceless Flash and Silverlight (Closes: #736109)
  * Drop curl from Recommends
  * Suggest SQL servers as alternatives
  * Update upstream changelog
  * Upload version 6 to unstable, and set urgency to low

 -- David Prévot <taffit@debian.org>  Wed, 22 Jan 2014 14:48:09 -0400

owncloud (6.0.1~rc1+dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * clarifying license
  * 6.0.1 RC1

  [ Bjoern Schiessle ]
  * reliable detect encrypted files
  * don't unshare on delete
  * copy files to owner trash recursively

  [ Andreas Fischer ]
  * Backport of PR #4378: Don't use xcache in case admin auth is enabled.

  [ Jörn Friedrich Dreyer ]
  * remove duplicate exe mimetype, add correct msi mimetype

  [ Oliver Gasser ]
  * DB: Support DECIMAL(precision,scale) syntax in XML

  [ Vincent Petry ]
  * Added workaround for Android content disposition
  * Fixed timezone issue with SMB storage

  [ Thomas Müller ]
  * turn off mod_pagespeed

  [ Arthur Schiwon ]
  * Add command line tool to show numbers of users and user directories

  [ Georg Ehrke ]
  * fix preview for reshared file

  [ David Prévot ]
  * Adapt to aws-sdk new path
  * Disable Flash and Silverlight plugins
  * Alternative dependency on mediawiki
  * Fix X-EVOLUTION-FILE-AS escape, thanks to Simon McVittie (Closes: #735112)
  * Update upstream changelog
  * Update copyright
  * Minify jquery.masonry.min.js at build time

 -- David Prévot <taffit@debian.org>  Sat, 18 Jan 2014 08:41:26 -0400

owncloud (6.0.0.a+dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * 6.0.0a

  [ David Prévot ]
  * Update upstream changelog
  * Update dependencies following the documentation
  * Adapt to removed openid, fullcalendar and smb4php

 -- David Prévot <taffit@debian.org>  Sat, 14 Dec 2013 20:23:08 -0400

owncloud (6.0.0+dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * 6.0.0

 -- David Prévot <taffit@debian.org>  Tue, 10 Dec 2013 12:38:52 -0400

owncloud (6.0.0~rc4+dfsg-1) experimental; urgency=medium

  [ David Prévot ]
  * Clean up pre-5.0.8+dfsg-2 handling

  [ Frank Karlitschek ]
  * RC4

 -- David Prévot <taffit@debian.org>  Fri, 06 Dec 2013 21:58:30 -0400

owncloud (6.0.0~rc3+dfsg-1) experimental; urgency=medium

  [ Frank Karlitschek ]
  * lower required php version to 5.3.3
  * ownCloud 6 RC3

  [ David Prévot ]
  * Update JAMA and webodf copyright
  * Revert "Bump php5 minimal version"

 -- David Prévot <taffit@debian.org>  Thu, 05 Dec 2013 10:51:24 -0400

owncloud (6.0.0~rc2+dfsg-1) experimental; urgency=low

  [ Frank Karlitschek ]
  * make 5.3.8 the minimum supported version
  * ownCloud 6 RC2

  [ David Prévot ]
  * Depend on libjs-jcrop instead of using embedded copy
  * Bump php5 minimal version

 -- David Prévot <taffit@debian.org>  Sun, 01 Dec 2013 21:12:59 -0400

owncloud (6.0.0~rc1+dfsg-1) experimental; urgency=low

  [ Frank Karlitschek ]
  * ownCloud 6 RC1

  [ David Prévot ]
  * Factorize copyright
  * Recommend libreoffice and php5-imagick for thumbnails
  * Adapt to current version handling

 -- David Prévot <taffit@debian.org>  Fri, 29 Nov 2013 22:01:53 -0400

owncloud (6.0.0~beta5+dfsg-1) experimental; urgency=low

  * Imported Upstream version 6.0.0~beta5+dfsg
  * Fix fonts-font-awesome symlink (Closes: #729811)
  * Get rid of owncloud-{mysql,pgsql,sqlite}
  * Move fullcalendar to apps/calendar
  * Recommend libav-tools for video thumbnails

 -- David Prévot <taffit@debian.org>  Wed, 20 Nov 2013 16:38:21 -0400

owncloud (6.0.0~beta4+dfsg-1) experimental; urgency=low

  * Imported Upstream version 6.0.0~beta4+dfsg
  * Fix Sabre version dependency, avoiding upcoming php-sabre-vobject (>= 3)
  * Depend on packages needed by core and default apps: Packages needed by
    apps that are not enable by default are demoted to Recommends, and
    vice-versa
  * Enable documents app back

 -- David Prévot <taffit@debian.org>  Wed, 13 Nov 2013 17:32:20 -0400

owncloud (6.0.0~beta3+dfsg-1) experimental; urgency=low

  * Imported Upstream version 6.0.0~beta3+dfsg
    - Update repack script
    - Add external source for jquery-migrate-1.2.1
    - Adapt to updated major upstream release
    - Refresh patches
    - Adapt to MDB2 now gone
    - Disable documents app
  * Depend on libjs-dojo-core, libjs-dojo-dijit, libjs-dojo-dojox,
    libphp-pclzip, php-doctrine-common, php-dompdf, php-dropbox,
    php-opencloud, php-phpdocx and php-symfony-console instead of using
    embedded copies.
  * Handle patches with gbp pq
  * Verify GPG signature on download

 -- David Prévot <taffit@debian.org>  Mon, 11 Nov 2013 12:26:24 -0400

owncloud (5.0.13+dfsg-1) unstable; urgency=low

  * Imported Upstream version 5.0.13+dfsg
  * Update upstream changelog
  * Remove now useless versionning for fonts-font-awesome

 -- David Prévot <taffit@debian.org>  Tue, 05 Nov 2013 17:02:19 -0400

owncloud (5.0.13~rc1+dfsg-1) experimental; urgency=low

  * Simplify fonts-font-awesome handling
  * Imported Upstream version 5.0.13~rc1+dfsg
  * Update rules
  * Refresh patches
  * Bump standards version to 3.9.5

 -- David Prévot <taffit@debian.org>  Thu, 31 Oct 2013 23:34:11 -0400

=== debian/control ===
Source: owncloud
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Mueller <thomas.mueller@tmit.eu>,
           David Prévot <taffit@debian.org>,
           Paul van Tilburg <paulvt@debian.org>
Build-Depends: debhelper (>= 8), libjs-dojo-dojox, node-uglify
Standards-Version: 3.9.5
Homepage: http://owncloud.org
Vcs-Git: git://anonscm.debian.org/pkg-owncloud/owncloud.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-owncloud/owncloud.git

Package: owncloud
Architecture: all
Depends: apache2 | httpd,
         fonts-font-awesome,
         libjs-chosen,
         libjs-dojo-dojox,
         libjs-jcrop,
         libjs-jquery (>= 1.7.2-1),
         libjs-jquery-minicolors (<< 2~),
         libjs-jquery-mousewheel,
         libjs-jquery-timepicker,
         libjs-pdf,
         libphp-pclzip,
         libphp-phpmailer,
         mediawiki-classes | mediawiki (>= 1:1.19),
         owncloud-doc (>= 0~20131119),
         php-doctrine-common,
         php-dompdf,
         php-getid3 (>= 1.9.5~),
         php-patchwork-utf8,
         php-pear,
         php-phpdocx,
         php-sabre-dav (<< 1.8),
         php-sabre-vobject (<< 3),
         php-symfony-console,
         php-symfony-routing,
         php-xml-parser,
         php5,
         php5-gd,
         php5-json,
         php5-mysql | php5-pgsql | php5-sqlite,
         zend-framework | zendframework,
         ${misc:Depends}
Recommends: exim4 | mail-transport-agent,
            libav-tools,
            liboauth-php,
            libreoffice,
            php-aws-sdk (>= 2.5.1),
            php-crypt-blowfish,
            php-dropbox,
            php-google-api-php-client,
            php-irods-prods,
            php-opencloud,
            php-seclib,
            php-services-json,
            php5-apcu | php5-xcache,
            php5-cli,
            php5-curl,
            php5-imagick,
            php5-intl,
            php5-ldap,
            php5-mcrypt,
            smbclient
Suggests: libapache2-mod-xsendfile,
          mysql-server | virtual-mysql-server | postgresql
Provides: owncloud-mysql, owncloud-pgsql, owncloud-sqlite
Conflicts: owncloud-mysql, owncloud-pgsql, owncloud-sqlite
Replaces: owncloud-mysql, owncloud-pgsql, owncloud-sqlite
Description: cloud storage for files, music, contacts, calendars and many more
 ownCloud gives you universal access to your files through a web interface
 or WebDAV.  It also provides a platform to easily view & sync your
 contacts, calendars and bookmarks across all your devices and enables
 basic editing right on the web.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION := $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//')

%:
	dh $@

override_dh_install:
	dh_install

	# Remove redundant license files as it is already captured in debian/copyright.
	rm debian/owncloud/usr/share/owncloud/3rdparty/PHPExcel/Classes/PHPExcel/Shared/PCLZip/gnu-lgpl.txt
	rm debian/owncloud/usr/share/owncloud/apps/calendar/3rdparty/fullcalendar/*-LICENSE.txt
	rm debian/owncloud/usr/share/owncloud/apps/contacts/COPYING-README
	rm debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/LICENSE
	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/css/DroidSansMono/Google\ Android\ License.txt
	rm debian/owncloud/usr/share/owncloud/core/js/LICENSE.jquery.inview
	rm debian/owncloud/usr/share/owncloud/core/js/jquery.inview.txt
	rm debian/owncloud/usr/share/owncloud/settings/img/log\ Icon\ License

	# Remove other useless documentation
	rm debian/owncloud/usr/share/owncloud/3rdparty/PHPExcel/Classes/PHPExcel/Chart/Renderer/PHP\ Charting\ Libraries.txt
	rm debian/owncloud/usr/share/owncloud/3rdparty/PHPExcel/Classes/PHPExcel/Shared/JAMA/CHANGELOG.TXT
	rm debian/owncloud/usr/share/owncloud/3rdparty/PHPExcel/Classes/PHPExcel/Shared/PCLZip/readme.txt
	rm debian/owncloud/usr/share/owncloud/apps/activity/TODO
	rm debian/owncloud/usr/share/owncloud/apps/bookmarks/README.md
	rm debian/owncloud/usr/share/owncloud/apps/calendar/README.md
	rm debian/owncloud/usr/share/owncloud/apps/contacts/Changelog
	rm debian/owncloud/usr/share/owncloud/apps/contacts/README.md
	rm debian/owncloud/usr/share/owncloud/apps/contacts/composer.json
	rm debian/owncloud/usr/share/owncloud/apps/documents/README.md
	rm -r debian/owncloud/usr/share/owncloud/apps/documents/css/fonts
	rm debian/owncloud/usr/share/owncloud/apps/files_encryption/appinfo/spec.txt
	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/css/DroidSansMono/demo.html

	# Remove unused scripts, tests and sources
	rm -r debian/owncloud/usr/share/owncloud/3rdparty/phpass/c
	rm    debian/owncloud/usr/share/owncloud/3rdparty/phpass/test.php
	find  debian/owncloud/usr/share/owncloud/apps/bookmarks/l10n \
	      debian/owncloud/usr/share/owncloud/apps/calendar/l10n \
	      debian/owncloud/usr/share/owncloud/apps/contacts/l10n \
	      debian/owncloud/usr/share/owncloud/apps/documents/l10n \
		-mindepth 1 -type d | xargs rm -r
	rm    debian/owncloud/usr/share/owncloud/apps/*/l10n/l10n.pl
	rm -r debian/owncloud/usr/share/owncloud/apps/bookmarks/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/calendar/tests
	rm    debian/owncloud/usr/share/owncloud/apps/contacts/.travis.yml
	rm -r debian/owncloud/usr/share/owncloud/apps/contacts/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/documents/src
	rm -r debian/owncloud/usr/share/owncloud/apps/files/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/files_encryption/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/files_sharing/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/files_videoviewer/mediaelement
	rm -r debian/owncloud/usr/share/owncloud/apps/user_external/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/user_ldap/tests
	rm    debian/owncloud/usr/share/owncloud/core/img/image-optimization.sh

	# Minify JavaScript files.
	rm debian/owncloud/usr/share/owncloud/apps/calendar/3rdparty/fullcalendar/js/fullcalendar.min.js
	rm debian/owncloud/usr/share/owncloud/apps/activity/js/jquery.infinitescroll.min.js
	rm debian/owncloud/usr/share/owncloud/apps/activity/js/jquery.masonry.min.js
	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js
	rm debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/dojo-amalgamation.js
	rm debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/editor/nls/dojobundle.js
	rm debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/webodf.js
	rm debian/owncloud/usr/share/owncloud/apps/files_videoviewer/js/mediaelement-and-player.min.js
	rm debian/owncloud/usr/share/owncloud/core/js/jquery-migrate-1.2.1.min.js

	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/calendar/3rdparty/fullcalendar/js/fullcalendar.min.js \
		debian/owncloud/usr/share/owncloud/apps/calendar/3rdparty/fullcalendar/js/fullcalendar.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/3rdparty/js/md5/md5.min.js \
		debian/owncloud/usr/share/owncloud/3rdparty/js/md5/md5.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/3rdparty/zxcvbn/js/zxcvbn.min.js \
		debian/owncloud/usr/share/owncloud/3rdparty/zxcvbn/js/zxcvbn.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/activity/js/jquery.infinitescroll.min.js \
		debian/owncloud/usr/share/owncloud/apps/activity/js/jquery.infinitescroll.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/activity/js/jquery.masonry.min.js \
		debian/owncloud/usr/share/owncloud/apps/activity/js/jquery.masonry.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/jquery.onfontresize.js \
		&& uglifyjs \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.js \
		>> \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js
	for i in `grep 'START OF NLS BUNDLE ENTRY' apps/documents/js/3rdparty/webodf/editor/nls/dojobundle.js \
		| sed 's,^/\* START OF NLS BUNDLE ENTRY \[dojo-deps/dist,/usr/share/javascript,;s,] \*/,,'` \
		; do if [ -e $$i ] ; then uglifyjs $$i >> \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/editor/nls/dojobundle.js \
		; fi ;done
	cat \
		/usr/share/javascript/dojo/dojo.js \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/editor/nls/dojobundle.js \
		>> \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/dojo-amalgamation.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/webodf.js \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/webodf-debug.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/files_videoviewer/js/mediaelement-and-player.min.js \
		debian/owncloud/usr/share/owncloud/apps/files_videoviewer/js/mediaelement-and-player.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/core/js/jquery-migrate-1.2.1.min.js \
		debian/jquery-migrate-1.2.1.js

	# Clean up apps to link external third parties
	rm -r debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/resources
	rm -r debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/images
	rm -r debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/locale

	# Remove the Updater app since upgrade must be made via the package
	rm -r debian/owncloud/usr/share/owncloud/apps/updater

	# Remove the doc, shipped in owncloud-doc
	rm -r debian/owncloud/usr/share/owncloud/core/doc

	# Remove third party provided by external package
	rmdir debian/owncloud/usr/share/owncloud/apps/files_encryption/3rdparty
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/Dropbox
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/aws-sdk-php
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/google-api-php-client
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/irodsphp
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/php-opencloud
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/phpseclib
	rm -r debian/owncloud/usr/share/owncloud/apps/search_lucene/3rdparty/Zend

	# Fix displayed version
	sed -i "s/@VERSION@/$(VERSION) (Debian)/" \
		debian/owncloud/usr/share/owncloud/lib/private/util.php

override_dh_fixperms:
	dh_fixperms -X var/lib/owncloud

## owncloud 7.0.4+dfsg

=== debian/changelog ===
owncloud (7.0.4+dfsg-4~deb8u3) jessie-security; urgency=high

  * Backport security fixes from 7.0.5, 7.0.7, 8.0.6, and 7.0.9:
    - Fix stored XSS in "activity" application
      [oC-SA-2015-010] [CVE-2015-5953]
    - Fix disclosure of users files when deleting parent folders of shared files
      [oC-SA-2015-011] [CVE-2015-5954]
    - Fix information exposure through directory listing
      [oC-SA-2015-014] [CVE-2015-6500] (Closes: #800126)
    - Fix PHP arbitrary class instantiation in "files_external"
      [oC-SA-2015-018]

 -- David Prévot <taffit@debian.org>  Wed, 30 Sep 2015 19:23:46 -0400

owncloud (7.0.4+dfsg-4~deb8u2) jessie; urgency=medium

  * Backport security fixes from 7.0.6 and 7.0.8:
    - Local file inclusion on MS Windows Platform
      [OC-SA-2015-006] [CVE-2015-4716]
    - Resource exhaustion when sanitizing filenames
      [OC-SA-2015-007] [CVE-2015-4717]
    - Command injection when using external SMB storage
      [OC-SA-2015-008] [CVE-2015-4718]
    - Calendar export: Authorization Bypass Through User-Controlled Key
      [OC-SA-2015-015] [CVE-2015-6670]

 -- David Prévot <taffit@debian.org>  Thu, 03 Sep 2015 19:38:32 -0400

owncloud (7.0.4+dfsg-4~deb8u1) jessie-security; urgency=medium

  * Upload to jessie-security as agreed with the security team

 -- David Prévot <taffit@debian.org>  Fri, 01 May 2015 08:12:52 -0400

owncloud (7.0.4+dfsg-4) unstable; urgency=medium

  * Document CVE in previous changelog entry
  * Simply use su instead of sudo in postinst

 -- David Prévot <taffit@debian.org>  Sun, 12 Apr 2015 11:57:04 -0400

owncloud (7.0.4+dfsg-3) unstable; urgency=medium

  * Add gbp config file to follow the jessie branch
  * Backport security fixes from 7.0.5:
    - Multiple stored XSS in "contacts" application [OC-SA-2015-001]
      [CVE-2015-3011]
    - Multiple stored XSS in "documents" application [OC-SA-2015-002]
      [CVE-2015-3012]
    - Bypass of file blacklist [OC-SA-2015-004] [CVE-2015-3013]
  * Run upgrade script with sudo as www-data user
  * Depend on php5-cli (it is actually used in postinst)

 -- David Prévot <taffit@debian.org>  Wed, 25 Mar 2015 16:20:32 -0400

owncloud (7.0.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable as agreed with the release team

 -- David Prévot <taffit@debian.org>  Wed, 10 Dec 2014 12:15:07 -0400

owncloud (7.0.4+dfsg-1) experimental; urgency=medium

  [ Lukas Reschke ]
  * Trim port from domain
  * Create config if it does not exists

  [ Arthur Schiwon ]
  * preserve an asterisk at the start when escaping a search term

  [ Frank Karlitschek ]
  * 7.0.4

  [ David Prévot ]
  * Refresh patches
  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Tue, 09 Dec 2014 18:32:21 -0400

owncloud (7.0.4~rc2+dfsg-1) experimental; urgency=medium

  * Upload RC to experimental

  [ Arthur Schiwon ]
  * add ldap-search command to occ
  * LDAP search filter creation changes

  [ Lukas Reschke ]
  * Allow read-only configuration

  [ Frank Karlitschek ]
  * 7.0.4 RC2

  [ David Prévot ]
  * Refresh patches

 -- David Prévot <taffit@debian.org>  Sat, 06 Dec 2014 01:51:30 -0400

owncloud (7.0.4~rc1+dfsg-2) unstable; urgency=medium

  * Upload to unstable as agreed with the release team

 -- David Prévot <taffit@debian.org>  Sat, 06 Dec 2014 17:38:10 -0400

owncloud (7.0.4~rc1+dfsg-1) experimental; urgency=medium

  * Upload RC to experimental

  [ Morris Jobke ]
  * Fix infinite loop if count and limit is 0

  [ Lukas Reschke ]
  * Run preupdate before an update
  * Add repair steps for legacy config files
  * Fix mapping of relative paths
  * Backport \OC\Security\Crypto to ownCloud 7
  * Only store user credentials when SMB_OC storage is enabled
  * Use `/` as redirect location if webroot is set to an empty value
  * Try to read the file only instead of trying to touch
  * Don't show favicon to prevent iteration through subfolders
  * Check for XMLWriter class

  [ Vincent Petry ]
  * Fix root path handling for WebDAV ext storage
  * Fix file upload to ext storage when recovery key is enabled
  * Show warning when invalid user was passed

  [ Andreas Fischer ]
  * user_ldap: Reimplement convertSID2Str() without BCMath dependency.

  [ michag86 ]
  * removal of wrong/double implemented check
  * cleanup group admin(s) on deleteGroup

  [ Clark Tomlinson ]
  * Hiding add to your own cloud if server2server sharing is not enabled

  [ Michael Roitzsch ]
  * file size on non-(Linux/BSD/Windows)-installations

  [ Bjoern Schiessle ]
  * use login name to verify password

  [ Craig Morrissey ]
  * adjust autocomplete behavior for sharing menu

  [ Georg Ehrke ]
  * delete all children's previews when deleting a folder
  * delete old previews

  [ Frank Karlitschek ]
  * 7.0.4 RC1

  [ David Prévot ]
  * Refresh patches
  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Mon, 01 Dec 2014 19:10:39 -0400

owncloud (7.0.3+dfsg-1) unstable; urgency=medium

  [ David Prévot ]
  * Restrict php-aws-sdk version
  * Update documentation from Jessie+1 to Stretch
  * Update upstream changelog

  [ Frank Karlitschek ]
  * 7.0.3

  [ Vincent Petry ]
  * Convert StorageNotAvailableException to SabreDAV exception

  [ Lukas Reschke ]
  * Use proper array key

  [ Thomas Müller ]
  * Ensure there is a connection object within \OC_DB::enableCaching()

 -- David Prévot <taffit@debian.org>  Thu, 13 Nov 2014 13:49:51 -0400

owncloud (7.0.3~rc3+dfsg-1) unstable; urgency=medium

  * Upload to unstable in order to gather as much testing as possible before
    proposing the final version (to the release team) for Jessie

  [ Jörn Friedrich Dreyer ]
  * fix files_external storage id migration
  * allow passing driver options, fixes #11718
  * add driver options to config samples

  [ Vincent Petry ]
  * Properly register sharing hooks and proxies
  * Check for cert bundle existence before using it
  * Store curl error message directly

  [ Frank Karlitschek ]
  * 7.0.3 RC3

  [ David Prévot ]
  * Refresh patches


=== debian/control ===
Source: owncloud
Section: web
Priority: extra
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Mueller <thomas.mueller@tmit.eu>,
           David Prévot <taffit@debian.org>,
           Paul van Tilburg <paulvt@debian.org>
Build-Depends: debhelper (>= 8), libjs-dojo-dojox (>= 1.10), node-uglify
Standards-Version: 3.9.6
Homepage: https://owncloud.org
Vcs-Git: git://anonscm.debian.org/pkg-owncloud/owncloud.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-owncloud/owncloud.git

Package: owncloud
Architecture: all
Depends: apache2 | httpd,
         fonts-font-awesome,
         fonts-liberation,
         fonts-linuxlibertine,
         fonts-lohit-deva,
         fonts-sil-gentium-basic,
         fonts-wqy-microhei,
         libjs-chosen,
         libjs-dojo-dojox,
         libjs-jcrop,
         libjs-jquery-minicolors (<< 2~),
         libjs-jquery-mousewheel,
         libjs-jquery-timepicker,
         libjs-mediaelement,
         libjs-pdf,
         libjs-underscore (>= 1.6),
         libphp-phpmailer,
         owncloud-doc,
         php-assetic,
         php-doctrine-dbal,
         php-getid3 (>= 1.9.5~),
         php-opencloud,
         php-patchwork-utf8,
         php-pear,
         php-pimple (<< 2),
         php-sabre-dav (<< 1.9),
         php-seclib,
         php-symfony-classloader,
         php-symfony-console,
         php-symfony-routing,
         php5 (>= 5.3.8),
         php5-cli,
         php5-gd,
         php5-json,
         php5-mysql | php5-pgsql | php5-sqlite,
         zendframework,
         ${misc:Depends}
Recommends: exim4 | mail-transport-agent,
            php-aws-sdk (<< 3),
            php-crypt-blowfish (>= 1.1.0~RC2-2~),
            php-dropbox,
            php-google-api-php-client (<< 1),
            php5-apcu | php5-xcache,
            php5-curl,
            php5-intl,
            php5-ldap,
            php5-mcrypt,
            smbclient
Suggests: libapache2-mod-xsendfile,
          libav-tools,
          libreoffice,
          mysql-server | virtual-mysql-server | postgresql,
          php5-imagick
Description: cloud storage for files, music, contacts, calendars and many more
 ownCloud gives you universal access to your files through a web interface
 or WebDAV.  It also provides a platform to easily view & sync your
 contacts, calendars and bookmarks across all your devices and enables
 basic editing right on the web.

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//')

%:
	dh $@

override_dh_install:
	# Remove useless licences, documentation, tests, scripts and sources
	dh_install \
		-Xbower.json \
		-XChangelog -Xcomponent.json -Xcomposer.json -XCOPYING \
		-Xdocuments/src \
		-Xfiles_videoviewer/src -Xfonts/index.html \
		-Xignorelist -Ximage-optimization.sh -Ximg/skin \
		-Xjquery.inview.txt -Xjquery.json -X.js.template \
		-Xl10n.pl -XLICENSE -XLicense.txt \
		-Xpackage.json -Xphpass/c -Xphpass/test.php \
		-XREADME. -Xrelease.sh \
		-Xspec.txt \
		-Xtemplateeditor/l10n -Xtests \
		-Xxgettextfiles \
		-X.jshintrc

	# Remove other unused sources
	find  debian/owncloud/usr/share/owncloud/apps/*/l10n \
		-mindepth 1 -type d | xargs rm -r
	rm debian/owncloud/usr/share/owncloud/apps/*/l10n/*.js*

	# Minify JavaScript files.
	rm debian/owncloud/usr/share/owncloud/apps/calendar/3rdparty/fullcalendar/js/fullcalendar.min.js
	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js
	rm debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/dojo-amalgamation.js
	rm debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/editor/nls/dojobundle.js
	rm debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/webodf.js
	rm debian/owncloud/usr/share/owncloud/core/js/jquery-1.10.0.min.js
	rm debian/owncloud/usr/share/owncloud/core/js/jquery-migrate-1.2.1.min.js

	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/calendar/3rdparty/fullcalendar/js/fullcalendar.min.js \
		debian/owncloud/usr/share/owncloud/apps/calendar/3rdparty/fullcalendar/js/fullcalendar.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/3rdparty/js/md5/md5.min.js \
		debian/owncloud/usr/share/owncloud/3rdparty/js/md5/md5.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/3rdparty/zxcvbn/js/zxcvbn.min.js \
		debian/owncloud/usr/share/owncloud/3rdparty/zxcvbn/js/zxcvbn.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/jquery.onfontresize.js \
		&& uglifyjs \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.js \
		>> \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js
	for i in `grep 'START OF NLS BUNDLE ENTRY' apps/documents/js/3rdparty/webodf/editor/nls/dojobundle.js \
		| sed 's,^/\* START OF NLS BUNDLE ENTRY \[dojo-deps/dist,/usr/share/javascript,;s,] \*/,,'` \
		; do if [ -e $$i ] ; then uglifyjs $$i >> \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/editor/nls/dojobundle.js \
		; fi ;done
	cat \
		/usr/share/javascript/dojo/dojo.js \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/editor/nls/dojobundle.js \
		>> \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/dojo-amalgamation.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/webodf.js \
		debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/webodf/webodf-debug.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/core/js/jquery-1.10.0.min.js \
		debian/owncloud/usr/share/owncloud/core/js/jquery-1.10.0.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/core/js/jquery-migrate-1.2.1.min.js \
		debian/owncloud/usr/share/owncloud/core/js/jquery-migrate-1.2.1.js

	# Clean up apps to link external third parties
	rm -r debian/owncloud/usr/share/owncloud/apps/documents/js/3rdparty/resources
	rm -r debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/images
	rm -r debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/locale
	rm    debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/viewer.js

	# Remove the Updater app since upgrade must be made via the package
	rm -r debian/owncloud/usr/share/owncloud/apps/updater

	# Remove the doc, shipped in owncloud-doc
	rm -r debian/owncloud/usr/share/owncloud/core/doc

	# Remove third party provided by external package
	rmdir debian/owncloud/usr/share/owncloud/apps/files_encryption/3rdparty
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/Dropbox
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/aws-sdk-php
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/google-api-php-client
	rm -r debian/owncloud/usr/share/owncloud/apps/search_lucene/3rdparty/Zend

	# Fix displayed version
	sed -i "s/@VERSION@/$(VERSION) (Debian)/" \
		debian/owncloud/usr/share/owncloud/lib/private/util.php

override_dh_fixperms:
	dh_fixperms -X var/lib/owncloud
	chown www-data:www-data debian/owncloud/etc/owncloud/
	chown www-data:www-data debian/owncloud/etc/owncloud/htaccess
	chmod 0640 debian/owncloud/etc/owncloud/htaccess
	for i in assets data backup ; do \
		chown www-data:www-data debian/owncloud/var/lib/owncloud/$$i && \
		chmod 2770 debian/owncloud/var/lib/owncloud/$$i ; \
	done
	chmod +x debian/owncloud/usr/share/owncloud/occ

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream/changelog

get-orig-source:
	uscan --force --verbose --rename

=== debian/watch ===
version=3
options=dversionmangle=s/\+dfsg$//,pgpsigurlmangle=s/$/.asc/,repacksuffix=+dfsg \
  https://owncloud.org/changelog/ \
  https://download.owncloud.org/community/owncloud-(.*)\.tar\.bz2
options=dversionmangle=s/\+dfsg$//,uversionmangle=s/([^\w.]+)/~$1/i;tr/A-Z/a-z/,pgpsigurlmangle=s/$/.asc/,repacksuffix=+dfsg \
  https://owncloud.org/install/ \
  https://download.owncloud.org/community.*/owncloud-(\d.*)\.tar\.bz2
